
Smart Proxy - Bug #15865

Pin json_pure to < 2.0.0 for Ruby < 2.0.0

07/27/2016 11:55 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/444

  

Description

json_pure >= 2.0.0 isn't supported on earlier rubies, which leads to test failures.

Associated revisions

Revision 5a38c119 - 07/29/2016 05:36 AM - Dmitri Dolguikh 

Fixes #15865 - pin json_pure to < 2.0.0 for RUBY_VERSION < 2.0.0

History

#1 - 07/27/2016 11:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/444 added

#2 - 07/29/2016 05:36 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to Packaging

- translation missing: en.field_release set to 175

#3 - 07/29/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5a38c119eed6f2a7a161d300aff4d16bafa86ab9.

#4 - 07/10/2018 02:45 PM - Greg Sutcliffe

- Target version deleted (1.12.2)
